Summary: Tool that measures CPU resources
Name: time
Version: 1.7
Release: r2.0
License: GPLv2+
Group: utils
Packager: Wind River <info@windriver.com>
URL: http://www.gnu.org/software/time/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: update-alternatives-cworth
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.18+4.8
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6()(64bit)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.18+4.8
Provides: /usr/bin/time

%description
time measures many of the CPU resources, such as time and memory, that
other programs use.

%package -n time-dbg
Summary: Tool that measures CPU resources - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: time = 1.7-r2.0

%description -n time-dbg
time measures many of the CPU resources, such as time and memory, that
other programs use.  This package contains ELF symbols and related sources
for debugging purposes.

%package -n time-staticdev
Summary: Tool that measures CPU resources - Development files (Static Libraries)
Group: devel
Requires: time-dev = 1.7-r2.0

%description -n time-staticdev
time measures many of the CPU resources, such as time and memory, that
other programs use.  This package contains static libraries for software
development.

%package -n time-dev
Summary: Tool that measures CPU resources - Development files
Group: devel
Requires: time = 1.7-r2.0
Suggests: update-alternatives-cworth-dev
Suggests: libc6-dev(x86_64)

%description -n time-dev
time measures many of the CPU resources, such as time and memory, that
other programs use.  This package contains symbolic links, header files,
and related items necessary for software development.

%package -n time-doc
Summary: Tool that measures CPU resources - Documentation files
Group: doc

%description -n time-doc
time measures many of the CPU resources, such as time and memory, that
other programs use.  This package contains documentation.

%package -n time-locale
Summary: Tool that measures CPU resources
Group: utils

%description -n time-locale
time measures many of the CPU resources, such as time and memory, that
other programs use.

%post
# time - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/time time /usr/bin/time.time 100


%postun
# time - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  time /usr/bin/time.time
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/time.time"

%files -n time-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/time.time"
%dir "/usr/src/debug"
%dir "/usr/src/debug/time"
%dir "/usr/src/debug/time/1.7-r2"
%dir "/usr/src/debug/time/1.7-r2/time-1.7"
"/usr/src/debug/time/1.7-r2/time-1.7/getopt.h"
"/usr/src/debug/time/1.7-r2/time-1.7/resuse.c"
"/usr/src/debug/time/1.7-r2/time-1.7/resuse.h"
"/usr/src/debug/time/1.7-r2/time-1.7/time.c"
"/usr/src/debug/time/1.7-r2/time-1.7/version.c"
"/usr/src/debug/time/1.7-r2/time-1.7/error.c"

%files -n time-dev
%defattr(-,-,-,-)

%files -n time-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
"/usr/share/info/time.info"

